header {
  width: 80vw;
  height: 30vh;
  margin-top: -15vh;
  padding: 0 10vw;
  display: flex;
  align-items: center;
  background-color: white;
  position: absolute;
  top: 0;
  right: 0;
  box-shadow: var(--boxshadow-emboss);
  border-radius: 30%;

  @media screen and (max-width: 768px) {
    border-radius: 80%;
  }
}

.appbar {
  display: flex;
  width: 100%;
  margin-top: 12vh;
  align-items: center;
  justify-content: space-between;

  @media screen and (max-width: 768px) {
    justify-content: center;
  }

  &__logo {
    font-size: calc(5px + 3vmin);
    font-weight: 800;
    color: var(--color-tertiary);
  }

  &__badge {
    background-color: var(--color-secondary);
    border-radius: 30px;
    padding: 0.1rem 1rem;
    color: var(--color-tertiary);
  }

  &__nav-items {
    display: flex;
    @media screen and (max-width: 768px) {
      display: none;
    }
  }

  &__nav-item {
    font-weight: bold;
    font-size: calc(5px + 2vmin);
    text-transform: uppercase;
    text-decoration: none;
    color: var(--color-tertiary);
    padding: 1rem 0px;
    margin: 0px 1rem;
    display: inline-block;
    position: relative;
    opacity: 0.75;
  }

  &__nav-item:hover {
    opacity: 1;
  }

  &__nav-item::before {
    transition: 300ms;
    height: 5px;
    content: "";
    position: absolute;
    background-color: var(--color-secondary);
    width: 0%;
    bottom: 10px;
  }

  &__nav-item:hover::before {
    width: 100%;
  }

  button {
    color: var(--color-tertiary);
    display: none;
    @media screen and (max-width: 768px) {
      display: flex;
    }
  }
}
